Skip to content
Pile
Esc
↑↓navigate↵open⌘Jpreview

List usage

GET/workspaces/{organizationId}/usage
Authorization
AuthorizationBearer token · headerrequired

Workspace API key (Authorization: Bearer <key>). Issue keys under Settings → Developer or POST /workspaces/{organizationId}/tokens.

Path parameters
organizationIdstringrequired
Query parameters
periodstring
Responses
200

Usage records

usageobject[]required
Show properties
Array of object
idstringrequired
organizationIdstringrequired
periodstringrequired
resourcestringrequired
actionstringrequired
countintegerrequired
createdAtstringrequired
updatedAtstringrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://pile.nyc/workspaces/string/usage' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "usage": [
    {
      "id": "string",
      "organizationId": "string",
      "period": "string",
      "resource": "string",
      "action": "string",
      "count": 0,
      "createdAt": "string",
      "updatedAt": "string"
    }
  ]
}

Was this page helpful?